Bug 26984 - Downloads/ is not accessible for anyone because the containing dir is not traversable
: Downloads/ is not accessible for anyone because the containing dir is not tra...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/transmission-daemon)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2012-02-23 18:31 by
Modified: 2016-03-11 13:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-02-23 18:31:21
transmission-daemon-2.42-alt1

By default, the daemon saves the downloaded files to:

drwxr-xr-x 2 _transmission-daemon _transmission-daemon 4096 Feb 23 17:41
/var/lib/transmission-daemon/Downloads/

which is readable by all users (OK).

But no-one can actually read the files, because the containing directory has
not o+x:

drwxrwx--- 6 root _transmission-daemon 4096 Feb 23 18:25
/var/lib/transmission-daemon/

Wouldn't it make more sense to let users read the files from the readble
Downloads/ by making /var/lib/transmission-daemon/ at least o+x?
------- Comment #1 From 2016-03-11 10:04:26 -------
Достаточно включить пользователя в группу _transmission_daemon как всё
заработает.

Нечего кому попало ходить к скачанному.
------- Comment #2 From 2016-03-11 11:53:49 -------
Мне тоже не кажется правильным закрывать по умолчанию.
Пользователи, которые хотят качать приватные данные пусть качают из-под себя к
себе в ~/ , а подобный сервис удобен для многопользовательского режима в первую
очередь.

Ограничивать есть смысл, разве что, доступ к управлению закачками и на удаление
файлов.
------- Comment #3 From 2016-03-11 12:03:37 -------
Подобный сервис удобен для того, у кого нет GUI.
В любом случае место хранения лучше поменять после установки.
------- Comment #4 From 2016-03-11 12:07:54 -------
(В ответ на комментарий №3)
> В любом случае место хранения лучше поменять после установки.
Для этого необходимо сменить настройки, которые сами не изменятся.
По хорошему оно должно работать приемлемо "для всех подряд" с умолчательными
настройками.
------- Comment #5 From 2016-03-11 12:17:56 -------
Для меня предлагаемое умолчание неприемлемо.
------- Comment #6 From 2016-03-11 12:42:31 -------
(В ответ на комментарий №5)
> Для меня предлагаемое умолчание неприемлемо.
Наверняка приемлемее менять настройки тебе или мне, чем большинству начинающих
пользователей этого пакета.
------- Comment #7 From 2016-03-11 12:43:37 -------
P.S. Я б лучше нешифрованные соединения отключил по умолчанию.
------- Comment #8 From 2016-03-11 12:46:35 -------
Для начинающих нужен другой пакет с другими настройками по умолчанию, в плане
места хранения.
Я подумаю над этим.
------- Comment #9 From 2016-03-11 13:22:07 -------
transmission-2.92-alt3 -> sisyphus:

* Fri Mar 11 2016 Anton Farygin <rider@altlinux> 2.92-alt3
- fixed permission for access to the daemon Download directory  (closes:
#26984)